[SciPy-dev] newscipy build problem

Robert Cimrman cimrman3 at ntc.zcu.cz
Mon Oct 10 09:18:40 CDT 2005


Hi all,

'newcore' installation works for me, but I get the traceback below for 
newscipy.

I am running on linux/gentoo. (FYI, 'sci-libs/blas-atlas' ebuild is 
required instead of 'sci-libs/atlas' to have full lapack implementation.)

Traceback (most recent call last):
   File "setup.py", line 35, in ?
     setup_package()
   File "setup.py", line 17, in setup_package
     config_dict = configuration(top_path='')
   File "setup.py", line 5, in configuration
     from scipy.distutils.misc_util import Configuration
   File "/usr/lib/python2.3/site-packages/scipy/__init__.py", line 17, in ?
     import scipy.basic.linalg as linalg
   File "/usr/lib/python2.3/site-packages/scipy/basic/linalg.py", line 
1, in ?
     from basic_lite import *
   File "/usr/lib/python2.3/site-packages/scipy/basic/basic_lite.py", 
line 7, in ?
     import scipy.lib.lapack_lite as lapack_lite
ImportError: /usr/lib/python2.3/site-packages/scipy/lib/lapack_lite.so: 
undefined symbol: s_wsfe

Any help would be appreciated,

r.




More information about the Scipy-dev mailing list